AxesRenderer
Date: 2019-10-22

org.jmol.render

## Class AxesRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.CageRenderer
      - - org.jmol.render.AxesRenderer

-     public class AxesRenderer
      extends CageRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `axesTypes`
    `private static java.lang.String[]` | `axisLabels`
    `private short[]` | `colixes`
    `private javajs.util.P3` | `originScreen`
    `private javajs.util.P3` | `pt000`

    - ### Fields inherited from class org.jmol.render.CageRenderer

      `isPolymer, isSlab, p3Screens, tickEdges`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxesRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initRenderer()`
    `protected boolean` | `render()`
    `private void` | `renderLabel(java.lang.String str, float x, float y, float z, float xCenter, float yCenter)`

    - ### Methods inherited from class org.jmol.render.CageRenderer

      `renderCage`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### axisLabels

          private static final java.lang.String[] axisLabels

    - #### originScreen

          private final javajs.util.P3 originScreen

    - #### colixes

          private short[] colixes

    - #### pt000

          private javajs.util.P3 pt000

    - #### axesTypes

          private static final java.lang.String[] axesTypes

  - ### Constructor Detail

    - #### AxesRenderer

          public AxesRenderer()

  - ### Method Detail

    - #### initRenderer

          protected void initRenderer()

      Overrides:
        `initRenderer` in class `ShapeRenderer`

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### renderLabel

          private void renderLabel(java.lang.String str,
                                   float x,
                                   float y,
                                   float z,
                                   float xCenter,
                                   float yCenter)